Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class ECKeyGenerationParameters

    java.lang.Object
      org.bouncycastle.crypto.KeyGenerationParameters
          org.bouncycastle.crypto.params.ECKeyGenerationParameters

    public class ECKeyGenerationParameters

extends KeyGenerationParameters

Constructor Summary
`ECKeyGenerationParameters(ECDomainParameters domainParams, java.security.SecureRandom random)`

Method Summary
`ECDomainParameters` `getDomainParameters()`

Methods inherited from class org.bouncycastle.crypto.KeyGenerationParameters
`getRandom, getStrength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECKeyGenerationParameters

    public ECKeyGenerationParameters(ECDomainParameters domainParams,
                                     java.security.SecureRandom random)

Method Detail

### getDomainParameters

    public ECDomainParameters getDomainParameters()

Bouncy Castle Cryptography Library 1.45